Subject: bug#41345: closed (Re: [bug#41345] 000-update-python-argon2-cffi.patch)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 May 2020 15:38:01 +0000

Your bug report

#41345: 000-update-python-argon2-cffi.patch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41345: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41345
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41345] 000-update-python-argon2-cffi.patch
From: Marius Bakke <[email-masked]>
To: Josh Marshall <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 May 2020 16:59:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Josh Marshall <[email-masked]> writes:

> Resubmitted the patch more properly made.  Looks like it didn't continue
> this thread.  How do I close this?

It still did not have a commit message though:

https://git.savannah.gnu.org/cgit/guix.git/log/gnu/packages?id=9813805b30dad444984111d5413b8ab7356f7908

Note how it differs from other package updates, in particular lacking
the '* gnu/packages/file.scm (variable):' line, as well as the "gnu: "
prefix.  No big deal, but try to follow the convention next time.

In any case you can close bugs by appending -done to the issue ID, like
I've done in this message.  Thanks!

Subject: 000-update-python-argon2-cffi.patch
From: Josh Marshall <[email-masked]>
To: [email-masked]
Date: Sun, 17 May 2020 00:20:27 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

diff --git a/gnu/packages/python-crypto.scm b/gnu/packages/python-crypto.scm
index e6208ab3d9..fc451e83ef 100644
--- a/gnu/packages/python-crypto.scm
+++ b/gnu/packages/python-crypto.scm
@@ -1365,14 +1365,14 @@ I/O-free core, and integration modules for
different event loops.")
 (define-public python-argon2-cffi
   (package
     (name "python-argon2-cffi")
-    (version "19.2.0")
+    (version "20.1.0")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "argon2-cffi" version))
         (sha256
          (base32
-          "18xxfw30gi3lwaz4vwb05iavzlrk3fa1x9fippzrgd3px8z65apz"))
+          "0zgr4mnnm0p4i99023safb0qb8cgvl202nly1rvylk2b7qnrn0nq"))
         (modules '((guix build utils)))
         (snippet '(begin (delete-file-recursively "extras") #t))))
     (build-system python-build-system)